Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/caja: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:40:49 +0000

---
 testing/caja/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/caja/APKBUILD
diff --git a/testing/caja/APKBUILD b/testing/caja/APKBUILD
new file mode 100644
index 0000000..193afa0
--- /dev/null
+++ b/testing/caja/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=caja
+pkgver=1.9.3
+pkgrel=0
+pkgdesc="The file manager for the MATE desktop"
+url="https://github.com/mate-desktop/caja"
+arch="all"
+license="GPL2"
+depends="mate-common mate-desktop"
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool libunique-dev
+	intltool glib-dev pkgconfig gobject-introspection-dev gtk-doc
+	gtk+-dev dconf-dev libsm-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="870a0deb25f8a15d143634c235b5a3a8  caja-1.9.3.tar.xz"
+sha256sums="2638f783071ade4c1b45ad0a360181cbff78239c11951163b07881dce27a2fcd  caja-1.9.3.tar.xz"
+sha512sums="bb4371d36fb026e4bf545f223f731079d6fa6d29dd735ac2c4f8476ec4dae1cbf134d90a5798012f4c052152d25b7cfec18a4009c11c1e9838e0c118bff865bc  caja-1.9.3.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:40:49 GMT